const routes = [];
const context =import.meta.glob("../views/*/*.vue", {eager: true})
Object.keys(context).forEach(path => {
	const componentName = path.replace(/.*\/([^\\.\\/]*)\.vue$/, '$1');
	routes.push({
		path: `/${componentName.toLowerCase()}`,
		name: componentName,
		component: context[path].default,
		meta: {
			isLink: true
		}
	});
});
export default routes;